<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.8.0.final using JasperReports Library version 6.8.0-2ed8dfabb690ff337a5797129f2cd92902b0c87b  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="rpt_TOI" pageWidth="595" pageHeight="842" whenNoDataType="NoPages" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="876bf120-0598-49b9-aa18-179621247be2">
	<property name="ireport.zoom" value="1.210000000000001"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="DataAdapter.xml"/>
	<parameter name="p_dateStart" class="java.util.Date">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="p_dateEnd" class="java.util.Date">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select replace(bangsal_nm, 'PERAWATAN ', '') as bangsal_nm, total_kamar, total_harirawat, pasien_keluar as total_pasien, day_month from sp_rpt_get_toi($P{p_dateStart}::varchar, $P{p_dateEnd}::varchar);]]>
	</queryString>
	<field name="bangsal_nm" class="java.lang.String"/>
	<field name="total_kamar" class="java.lang.Long"/>
	<field name="total_harirawat" class="java.lang.Long"/>
	<field name="total_pasien" class="java.lang.Long"/>
	<field name="day_month" class="java.lang.Long"/>
	<variable name="kelas_nm_1" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{bangsal_nm}]]></variableExpression>
	</variable>
	<variable name="total_kamar_1" class="java.lang.Long" calculation="Sum">
		<variableExpression><![CDATA[$F{total_kamar}]]></variableExpression>
	</variable>
	<variable name="total_pasien_1" class="java.lang.Long" calculation="Sum">
		<variableExpression><![CDATA[$F{total_pasien}]]></variableExpression>
	</variable>
	<variable name="total_harirawat_1" class="java.lang.Long" calculation="Sum">
		<variableExpression><![CDATA[$F{total_harirawat}]]></variableExpression>
	</variable>
	<variable name="toi" class="java.lang.Long">
		<variableExpression><![CDATA[$F{total_pasien} > 0
    ? ($F{total_kamar}*$F{day_month}) - ($F{total_harirawat}/$F{total_pasien})
: 0]]></variableExpression>
		<initialValueExpression><![CDATA[$F{total_pasien} > 0
    ? ($F{total_kamar}*$F{day_month}) - ($F{total_harirawat}/$F{total_pasien})
: 0]]></initialValueExpression>
	</variable>
	<variable name="sum_toi" class="java.lang.Long" calculation="Sum">
		<variableExpression><![CDATA[$V{toi}]]></variableExpression>
		<initialValueExpression><![CDATA[$V{toi}]]></initialValueExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="90" splitType="Stretch">
			<staticText>
				<reportElement x="1" y="70" width="100" height="20" uuid="91200c51-9013-485e-901a-6d8401f15c7f"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Periode	:]]></text>
			</staticText>
			<staticText>
				<reportElement x="157" y="70" width="26" height="20" uuid="f7d5b6db-f7bb-4110-b04e-c6dd4ca06b12"/>
				<textElement textAlignment="Center">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[-]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy">
				<reportElement x="102" y="70" width="100" height="20" uuid="625fcafe-f7d9-46fb-a0a2-6b5e8ebdecea"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{p_dateStart}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy">
				<reportElement x="180" y="70" width="100" height="20" uuid="4cb6992e-20e8-443b-803f-89a7467a6fe2"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{p_dateEnd}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="1" y="20" width="487" height="20" uuid="9c035ba8-b181-4981-805c-d46f23087178"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[LAPORAN TOI]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="27" splitType="Stretch">
			<staticText>
				<reportElement x="31" y="7" width="195" height="20" uuid="e7787e09-99ee-4026-899b-db77e5b64af0"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[SPESIALISASI]]></text>
			</staticText>
			<staticText>
				<reportElement x="488" y="7" width="68" height="20" uuid="5eabbd97-c567-461d-8aba-bc36ff85176d"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[TOI]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="7" width="127" height="20" uuid="7a520ca0-9882-41df-974e-14b49357277c"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[JUMLAH PASIEN KELUAR]]></text>
			</staticText>
			<staticText>
				<reportElement x="226" y="7" width="67" height="20" uuid="1db37e4d-4e72-4f22-b49f-9d9f28a8ec89"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[JUMLAH TT]]></text>
			</staticText>
			<staticText>
				<reportElement x="293" y="7" width="68" height="20" uuid="2ae4fc5f-ec2a-4e98-86c9-6d4c0f65418b"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[HARI RAWAT]]></text>
			</staticText>
			<staticText>
				<reportElement x="1" y="7" width="30" height="20" uuid="cbc8017a-350f-448b-90c5-f9f87034aca8"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[NO]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement x="226" y="0" width="67" height="20" uuid="48d4452a-1cf1-4149-9a8c-e29bdae9d7ad"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{total_kamar}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="361" y="0" width="127" height="20" uuid="663bbf16-1349-4b16-99e4-f7f4ba1cc4ab"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{total_pasien}]]></textFieldExpression>
			</textField>
			<textField pattern="###0.00">
				<reportElement x="488" y="0" width="68" height="20" uuid="731a3276-fb6e-476e-aab7-ccd4fb956c1b"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$V{toi}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="293" y="0" width="68" height="20" uuid="acfe04b1-4db6-4d4a-9df7-ffcf2817af7a"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{total_harirawat}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1" y="0" width="30" height="20" uuid="a042fd6e-7173-4d80-a409-f57054ac3fd2"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textFieldExpression><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="31" y="0" width="195" height="20" uuid="8e3d3d52-6b70-45aa-b631-c8bb194e7a01"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textFieldExpression><![CDATA[$F{bangsal_nm}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="169" splitType="Stretch">
			<staticText>
				<reportElement x="1" y="0" width="225" height="20" uuid="be0998bb-e0dc-468f-8dfa-e776bd5d16ef"/>
				<box rightPadding="2">
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[TOTAL]]></text>
			</staticText>
			<textField>
				<reportElement x="226" y="0" width="67" height="20" uuid="93b62728-6b25-4d9b-a1fb-66789ce4f7f6"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{total_kamar_1}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="361" y="0" width="127" height="20" uuid="d8dc1f49-d2da-44f4-94dc-a32c49c47b5f"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{total_pasien_1}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="293" y="0" width="68" height="20" uuid="14358d80-09a7-4ae6-8272-7574f52ca163"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{total_harirawat_1}]]></textFieldExpression>
			</textField>
			<textField pattern="###0.00">
				<reportElement x="488" y="0" width="68" height="20" uuid="bde207dd-344d-4c28-ba88-092d3a684cfe"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{sum_toi}]]></textFieldExpression>
			</textField>
			<barChart>
				<chart>
					<reportElement x="0" y="37" width="555" height="132" uuid="898dc792-6c99-471f-ad3b-e0bb67ada646"/>
					<chartTitle/>
					<chartSubtitle/>
					<chartLegend/>
				</chart>
				<categoryDataset>
					<categorySeries>
						<seriesExpression><![CDATA[$F{bangsal_nm}]]></seriesExpression>
						<categoryExpression><![CDATA[$F{bangsal_nm}]]></categoryExpression>
						<valueExpression><![CDATA[$V{toi}]]></valueExpression>
					</categorySeries>
				</categoryDataset>
				<barPlot>
					<plot>
						<seriesColor seriesOrder="0" color="#FFCC33"/>
						<seriesColor seriesOrder="1" color="#00FFFF"/>
						<seriesColor seriesOrder="2" color="#FFCCCC"/>
						<seriesColor seriesOrder="3" color="#3333FF"/>
						<seriesColor seriesOrder="4" color="#FF33FF"/>
						<seriesColor seriesOrder="5" color="#FF6666"/>
						<seriesColor seriesOrder="6" color="#CCCCFF"/>
					</plot>
					<itemLabel/>
					<categoryAxisFormat>
						<axisFormat/>
					</categoryAxisFormat>
					<valueAxisFormat>
						<axisFormat/>
					</valueAxisFormat>
				</barPlot>
			</barChart>
		</band>
	</summary>
</jasperReport>
